Notas de Moodle 1.9.14

Saltar a: navegación, buscar

Fecha de lanzamiento: 10 de Octubre de 2011

La solución de problemas y otras mejoras generales para Moodle 1.9.x ha terminado. El soporte para la solución de problemas importantes de seguridad continuará hasta Junio de 2012.

Esta página muestra información (en inglés) de las mejoras y soluciones de problemas que incorpora.

Problemas de seguridad

  • MSA-11-0031 - Fallo en las constantes de la API de formularios.
  • MSA-11-0032 - Problema de validación SSL de MNET.
  • MSA-11-0036 - Vulnerabilidad en el refresco de los mensajes.
  • MSA-11-0037 - Inyección en la edición de las secciones de curso.
  • MSA-11-0038 - Reforzada la protección contra inyecciones en base de datos.
  • MSA-11-0040 - Potencial revelado de información personal.

Para más detalles de problemas de seguridad resueltos, vea http://moodle.org/security/.

Otros problemas y mejoras

  • MDL-27174 - Las copias de seguridad automáticas funcionan cuando una actividad tiene una instancia 0.
  • MDL-4561 - Los metacursos permiten acceso de invitados con clave.

Ver también